using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting;

namespace CAO_Client
{
    class Program
    {
        static void Main(string[] args)
        {
            // Klientregistrering af et CAO vha. RegisterActivatedClientType(type, url)
            RemotingConfiguration.RegisterActivatedClientType(
                typeof(RemoteServerLibrary.RemoteServiceImpl),
                "http://localhost:65100");

            // Server-side instantiering vha. "new"
            RemoteLibrary.IRemoteService service = new RemoteServerLibrary.RemoteServiceImpl();

            // brug objekt
            Console.WriteLine("Resultat af Add: " + service.Add(5, 6));
            Console.WriteLine("Resultat af GetMessage :" + service.GetMessage());
            Console.WriteLine("Resultat af menory property fr ndring: " + service.Memmory);
            service.Memmory = "Ny hukommelse";
            Console.WriteLine("Resultat af menory property: " + service.Memmory);
            Console.WriteLine("Resultat af GetMessage :" + service.GetMessage());
            Console.ReadLine();
        }
    }
}
