using System;
using System.Collections.Generic;
using System.Text;
using RemoteLibrary;

namespace RemoteServerLibrary
{
    public class RemoteServiceImpl 
        : System.MarshalByRefObject, RemoteLibrary.IRemoteService
    {
        private static int instansCount = 0;    // klasse variabel

        private string memmory = "";
        private int messagecount = 0;
        private int instansNr = 0;

        public RemoteServiceImpl()
        {
            ++instansCount;
            instansNr = instansCount;
            Console.WriteLine("RemoteServiceImpl - Constructor kaldt - instans "+instansNr);
        }

        #region IRemoteService Members

        public string Memmory
        {
            get { return this.memmory; }
            set { this.memmory = value; }
        }

        public string GetMessage()
        {
            ++messagecount;
            string msg = "Meddelelse "+messagecount+" fra RemoteService - instans "+instansNr;
            Console.WriteLine("RemoteServiceImpl - "+msg);
            return msg;
        }

        public int Add(int x, int y)
        {
            return x + y;
        }

        #endregion
    }
}
