using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;

namespace CAO_Server
{
    class Program
    {
        static void Main(string[] args)
        {
            int port = 65100;
            bool ensureSecurity = false;
            // Registrering af channel, dvs. valg af protocol og port
            ChannelServices.RegisterChannel(new HttpChannel(port), ensureSecurity);

            // Serverregistrering af CAO
            RemotingConfiguration.RegisterActivatedServiceType(typeof(RemoteServerLibrary.RemoteServiceImpl));
            System.Console.WriteLine("Server CAO starter p port" + port);
            System.Console.ReadLine();

        }
    }
}
